Skip to main content
PUT
/
api
/
teams
/
{id}
/
quota_webhook_setting
Error
A valid request URL is required to generate request examples
{
  "@id": "<string>",
  "@type": "<string>",
  "name": "<string>",
  "@context": "<string>",
  "id": "<string>",
  "is_default": false,
  "ltv": 0,
  "try_at": "2023-11-07T05:31:56Z",
  "auto_topup_setting": {
    "enabled": false,
    "threshold": 1,
    "extra_gb": 2,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "members": [
    {
      "@id": "<string>",
      "@type": "<string>",
      "user": {
        "@id": "<string>",
        "@type": "<string>",
        "email": "jsmith@example.com",
        "@context": "<string>",
        "id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "enabled": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "@context": "<string>",
      "role": "ROLE_TEAM_MEMBER",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "billing_detail": {
    "name": "<string>",
    "company_name": "<string>",
    "company_id": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "country": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "billing_email": "jsmith@example.com",
    "registration_number": "<string>"
  },
  "quota_webhook_setting": {
    "enabled": false,
    "url": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "owner": {
    "@id": "<string>",
    "@type": "<string>",
    "email": "jsmith@example.com",
    "@context": "<string>",
    "id": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "enabled": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "subscription": {
    "@id": "<string>",
    "@type": "<string>",
    "@context": "<string>",
    "id": "<string>",
    "cancelled_at": "2023-11-07T05:31:56Z",
    "gateway": "paddle",
    "paused_at": "2023-11-07T05:31:56Z",
    "plan": {
      "name": "",
      "id": "<string>",
      "is_custom": false,
      "description": "",
      "quota": 1,
      "proxy_account_quota": 1,
      "price": 0,
      "price_per_extra_gb": 0,
      "price_per_extra_proxy_account": 0,
      "order": 0,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "paddle_product_id": 0
    },
    "status": "active",
    "subscription_id": "<string>",
    "topups": [
      {
        "quantity": 0,
        "description": "",
        "payment_kind": "purchase",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "update_url": "<string>",
    "valid_from": "2023-11-07T05:31:56Z",
    "valid_until": "2023-11-07T05:31:56Z",
    "next_payment_at": "2023-11-07T05:31:56Z",
    "expired_at": "2023-11-07T05:31:56Z",
    "current_quota": 123,
    "current_proxy_account_quota": 123,
    "current_quota_str": "<string>",
    "bytes_recv": 0,
    "bytes_sent": 0,
    "last_activity_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "billing_cycle": "<string>",
    "gateway_label": "<string>",
    "consumption_str": "<string>",
    "consumption": 123
  },
  "payments": [
    {
      "@id": "<string>",
      "@type": "<string>",
      "@context": "<string>",
      "id": "<string>",
      "team": null,
      "payment_id": "<string>",
      "subscription_id": "<string>",
      "gateway": "<string>",
      "price": 0,
      "product_name": "<string>",
      "quantity": 123,
      "receipt_url": "<string>",
      "status": "<string>",
      "billing_detail": {
        "name": "<string>",
        "company_name": "<string>",
        "company_id": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "country": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "billing_email": "jsmith@example.com",
        "registration_number": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "gateway_label": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "members_count": 123,
  "last_activity_at": "2023-11-07T05:31:56Z"
}

Authorizations

api-key
string
header
required

Value for the api-key header parameter.

Path Parameters

id
string
required

Team identifier

Body

The updated Team resource

Update team quota webhook settings.

quota_webhook_setting
object | null

Response

Team resource updated

Basic CRUD operations

@id
string
required
@type
string
required
name
string
required
@context
id
string
read-only
is_default
boolean
default:false
ltv
number
default:0
try_at
string<date-time> | null
auto_topup_setting
object | null
members
object[]
billing_detail
object | null
quota_webhook_setting
object | null
owner
object

Core user operations

subscription
object

Admin subscription operations

payments
object[]
created_at
string<date-time>
updated_at
string<date-time>
members_count
integer
read-only
last_activity_at
string<date-time> | null
read-only